summaryrefslogtreecommitdiffstats
path: root/source/xap/xmms
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/xmms')
-rw-r--r--source/xap/xmms/slack-desc19
-rwxr-xr-xsource/xap/xmms/xmms.SlackBuild98
-rw-r--r--source/xap/xmms/xmms.desktop13
-rw-r--r--source/xap/xmms/xmms.gtk.doublesize.diff11
-rw-r--r--source/xap/xmms/xmms.wmxmms_vis_depth_workaround.diff11
5 files changed, 152 insertions, 0 deletions
diff --git a/source/xap/xmms/slack-desc b/source/xap/xmms/slack-desc
new file mode 100644
index 000000000..6ea4362d2
--- /dev/null
+++ b/source/xap/xmms/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xmms: xmms (X Multimedia System)
+xmms:
+xmms: XMMS is the X Multimedia System. It is used to play audio and other
+xmms: kinds of media files. By default XMMS can play MPEG audio, Ogg
+xmms: Vorbis, RIFF wav, most module formats, and a few other formats. XMMS
+xmms: can be extended through plugins to play a number of other audio and
+xmms: video formats.
+xmms:
+xmms:
+xmms:
+xmms:
diff --git a/source/xap/xmms/xmms.SlackBuild b/source/xap/xmms/xmms.SlackBuild
new file mode 100755
index 000000000..b11afde61
--- /dev/null
+++ b/source/xap/xmms/xmms.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=1.2.11
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-3}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ ARCHOPTS="--enable-simd"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ ARCHOPTS=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ ARCHOPTS=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-xmms
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf xmms-$VERSION
+tar xvf $CWD/xmms-$VERSION.tar.bz2 || exit 1
+cd xmms-$VERSION || exit 1
+
+zcat $CWD/xmms.gtk.doublesize.diff.gz | patch -p1 || exit 1
+zcat $CWD/xmms.wmxmms_vis_depth_workaround.diff.gz | patch -p0 || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var/lib \
+ --disable-static \
+ --with-ipv6 \
+ $ARCHOPTS \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Add a .desktop file for the menus:
+mkdir -p $PKG/usr/share/applications
+cat $CWD/xmms.desktop > $PKG/usr/share/applications/xmms.desktop
+
+mkdir -p $PKG/usr/doc/xmms-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING FAQ INSTALL NEWS README TODO \
+ $PKG/usr/doc/xmms-$VERSION
+
+# Finish up...
+gzip -9 $PKG/usr/man/*/*
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/xmms-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/xap/xmms/xmms.desktop b/source/xap/xmms/xmms.desktop
new file mode 100644
index 000000000..49e4870b4
--- /dev/null
+++ b/source/xap/xmms/xmms.desktop
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Name=XMMS
+GenericName=Audio Player
+Comment=Play music
+Comment[hu]=Zene lejátszása
+Comment[de]=Musik abspielen
+Exec=xmms %U
+Icon=xmms
+MimeType=application/x-ogg;audio/mp3;audio/mpeg;audio/mpegurl;audio/prs.sid;audio/x-flac;audio/x-it;audio/x-mod;audio/x-mp3;audio/x-mpeg;audio/x-mpegurl;audio/x-ms-wma;audio/x-musepack;audio/x-s3m;audio/x-scpls;audio/x-stm;audio/x-wav;audio/x-xm;application/ogg;audio/x-vorbis+ogg
+Categories=Application;GTK;AudioVideo;Player;
+Terminal=false
+Type=Application
+Encoding=UTF-8
diff --git a/source/xap/xmms/xmms.gtk.doublesize.diff b/source/xap/xmms/xmms.gtk.doublesize.diff
new file mode 100644
index 000000000..226bb78a7
--- /dev/null
+++ b/source/xap/xmms/xmms.gtk.doublesize.diff
@@ -0,0 +1,11 @@
+--- ./xmms/util.c.orig 2006-07-16 08:40:04.000000000 -0500
++++ ./xmms/util.c 2008-09-12 15:49:41.000000000 -0500
+@@ -175,7 +175,7 @@
+ * This needs to be optimized
+ */
+
+- dblimg = gdk_image_new(GDK_IMAGE_NORMAL, gdk_visual_get_best(), img->width << 1, img->height << 1);
++ dblimg = gdk_image_new(GDK_IMAGE_NORMAL, gdk_visual_get_best_with_depth(img->depth), img->width << 1, img->height << 1);
+ if (dblimg->bpp == 1)
+ {
+ char *srcptr, *ptr, *ptr2;
diff --git a/source/xap/xmms/xmms.wmxmms_vis_depth_workaround.diff b/source/xap/xmms/xmms.wmxmms_vis_depth_workaround.diff
new file mode 100644
index 000000000..8b940791b
--- /dev/null
+++ b/source/xap/xmms/xmms.wmxmms_vis_depth_workaround.diff
@@ -0,0 +1,11 @@
+--- wmxmms/wmxmms.c.orig 2008-11-09 19:32:24.000000000 -0600
++++ wmxmms/wmxmms.c 2008-09-13 12:17:35.000000000 -0500
+@@ -650,7 +650,7 @@
+ dock_gc = gdk_gc_new(icon_win->window);
+
+ launch_pixmap = gdk_pixmap_new(window->window, 64, 64,
+- gdk_visual_get_best_depth());
++ -1);
+
+ launch_mask = gdk_pixmap_new(window->window, 64, 64, 1);
+ mask_gc = gdk_gc_new(launch_mask);